package com.kiisoo.ic.common.utils.httpClientUtil;

import lombok.Getter;

/**
 * @author jinchaofan
 * @date 2020/2/13 12:09
 * @company kiisoo
 * @details http发送枚举
 */
@Getter
public enum HttpSendStatusEnum {

    ERROR( "error","0000"),//服务请求失败
    SUCCESS( "success","9999"),//服务请求成功
    SIGNATURE_INVALID( "signatureInvalid","1001"),//签名无效
    REQ_TIMEOUT( "reqTimeout","1002"),//请求过期
    BINDUSER_FAILD( "binduserFaild","1003"),//用户绑定失败
    NEED_BINDUSER( "needBinduser","1004"),//需要绑定用户
    NEED_APPKEY( "needAppKey","1005"),//需要提供AppKey
    NEED_APINAME( "needApiName","1006"),//需要提供服务名
    NEED_SIGN( "needSign","1007"),//需要提供签名
    NEED_TIMESTAMP( "needTimeStamp","1008"),//需要提供时间戳
    AUTH_FAILD( "authFaild","1009"),//用户认证失败
    NORIGHT_CALLSERVICE( "noRightCallService","1010"),//无权访问服务
    SERVICE_NOTEXIST( "service","1011"),//服务不存在
    NEED_SESSIONID( "sessionid","1012"),//需要提供SessionId
    NEED_USERNAME( "username","1013");//需要提供用户名

    private String error;

    private String code;

    HttpSendStatusEnum(String error, String code) {
        this.error = error;
        this.code = code;
    }

}
